> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wipo_brands/trademarks/search

> Search trademarks by mark text and filters

**Price:** 1 credit per 10 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/wipo_brands/trademarks/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wipo_brands/trademarks/search:
    post:
      tags:
        - /wipo_brands
      summary: /wipo_brands/trademarks/search
      description: |-
        Search trademarks by mark text and filters

        **Price:** 1 credit per 10 results
      operationId: __api_wipo_brands_trademarks_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WipoBrandsTrademarkSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WipoBrandsSearchTrademark'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WipoBrandsTrademarkSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        strategy:
          $ref: '#/components/schemas/WipoBrandsSearchStrategy'
          default: Simple
        owner:
          anyOf:
            - type: string
            - type: 'null'
        representative:
          anyOf:
            - type: string
            - type: 'null'
        goods_services:
          anyOf:
            - type: string
            - type: 'null'
        number:
          anyOf:
            - type: string
            - type: 'null'
        nice_classes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        vienna_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        designations:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        offices:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        features:
          anyOf:
            - items:
                $ref: '#/components/schemas/WipoBrandsMarkFeature'
              type: array
            - type: 'null'
        sort:
          $ref: '#/components/schemas/WipoBrandsSort'
          default: most_relevant
      type: object
      required:
        - count
    WipoBrandsSearchTrademark:
      properties:
        '@type':
          type: string
          default: WipoBrandsSearchTrademark
        st13:
          type: string
        mark_text:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        mark_feature:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        application_date:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        expiry_date:
          anyOf:
            - type: string
            - type: 'null'
        origin_office:
          anyOf:
            - type: string
            - type: 'null'
        designation:
          items:
            type: string
          type: array
          default: []
        nice_classes:
          items:
            type: integer
          type: array
          default: []
        applicants:
          items:
            type: string
          type: array
          default: []
        applicant_countries:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - st13
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WipoBrandsSearchStrategy:
      type: string
      enum:
        - Embedded
        - Exact
        - Simple
        - Fuzzy
        - Phonetic
        - Stemming
    WipoBrandsMarkFeature:
      type: string
      enum:
        - Colour
        - Combined
        - Figurative
        - Hologram
        - Motion
        - Multimedia
        - Olfactory
        - Other
        - Pattern
        - Position
        - Sound
        - Stylized characters
        - Three dimensional
        - Tracer
        - Undefined
        - Word
    WipoBrandsSort:
      type: string
      enum:
        - most_relevant
        - least_relevant
        - recently_filed
        - oldest_filed
        - recently_registered
        - oldest_registered
        - st13_descending
        - st13_ascending
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````